# coding=utf-8
import logging

from django.db import models

from web.models.etl.etl import EtlData

logger = logging.getLogger(__name__)


class SubjectImportData(EtlData):
    location = models.ForeignKey("web.Location",
                                 verbose_name='Default location',
                                 blank=True,
                                 null=True,
                                 on_delete=models.SET_NULL
                                 )
    country = models.ForeignKey("web.Country",
                                verbose_name='Default country',
                                blank=True,
                                null=True,
                                on_delete=models.SET_NULL
                                )
