from django.test import TestCase

from web.models.inconsistent_subject import InconsistentSubject, InconsistentField
from web.tests.functions import create_study_subject


class InconsistentSubjectTests(TestCase):
    def test_create_with_empty_data(self):
        subject = create_study_subject()
        inconsistent_subject = InconsistentSubject.create(subject)
        self.assertIsNotNone(str(inconsistent_subject))
        self.assertIsNotNone(str(inconsistent_subject))


class InconsistentFieldTests(TestCase):
    def test_create_with_empty_data(self):
        inconsistent_field = InconsistentField.create("field name", None, None)
        self.assertIsNotNone(str(inconsistent_field))
        self.assertIsNotNone(str(inconsistent_field))
