import logging
from typing import List

from web.importer.etl_common import EtlCommon
from web.models import SubjectImportData
from web.models.study_subject import StudySubject

logger = logging.getLogger(__name__)


class SubjectImportReader(EtlCommon):
    def __init__(self, import_data: SubjectImportData):
        super().__init__(import_data)
        self.import_data = import_data

    def load_data(self) -> List[StudySubject]:
        pass
